<?php
/**
 * Archive Template
 *
 * Please do not edit this file. This file is part of the Cyber Chimps Framework and all modifications
 * should be made in a child theme.
 *
 * @category CyberChimps Framework
 * @package  Framework
 * @since    1.0
 * @author   CyberChimps
 * @license  http://www.opensource.org/licenses/gpl-license.php GPL v3.0 (or later)
 * @link     http://www.cyberchimps.com/
 */

get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">
			<div class="container">
				<div class="row">
					<div class="col-md-9">
						<?php if ( have_posts() ) : ?>

							<header class="page-header">
								<?php
									the_archive_title( '<h1 class="page-title">', '</h1>' );
									the_archive_description( '<div class="taxonomy-description">', '</div>' );
								?>
							</header><!-- .page-header -->

							<?php
							/* Start the Loop */
							while ( have_posts() ) :
								the_post();

									/*
									 Include the Post-Format-specific template for the content.
									 * If you want to override this in a child theme, then include a file
									 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
									 */
									get_template_part( 'template-parts/content', get_post_format() );
								?>

							<?php endwhile; ?>

							<?php
							// Previous/next page navigation.
							the_posts_pagination(
								array(
									'prev_text'          => __( 'Prev', 'compact-one' ),
									'next_text'          => __( 'Next', 'compact-one' ),
									'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'compact-one' ) . ' </span>',
								)
							);
							?>

						<?php else : ?>

							<?php get_template_part( 'template-parts/content', 'none' ); ?>

						<?php endif; ?>
					</div><!-- .col-md-9 -->
					<?php get_sidebar(); ?>
				</div> <!-- .row -->
			</div><!-- .container -->

		</main><!-- #main -->
	</div><!-- #primary -->
<?php get_footer(); ?>
