<?php
/**
 * Header Home Template
 *
 * Please do not edit this file. This file is part of the CyberChimps Framework and all modifications
 * should be made in a child theme.
 *
 * @category CyberChimps Framework
 * @package  Framework
 * @since    1.0
 * @author   CyberChimps
 * @license  http://www.opensource.org/licenses/gpl-license.php GPL v3.0 (or later)
 * @link     http://www.cyberchimps.com/
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>

<head>

	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="description" content="">
	<meta name="author" content="">

<?php wp_head(); ?>
</head>



<body id="page-top" data-spy="scroll" data-target=".navbar-fixed-top" <?php body_class(); ?>>
<?php
// fetch the values if that particular section is on/off.
	// sections.
	$compact_one_enable_slider_section = get_theme_mod( 'compact_one_enable_slider_section', 1 );
	$compact_one_enable_about_section = get_theme_mod( 'compact_one_enable_about_section', 1 );
	$compact_one_enable_features_section = get_theme_mod( 'compact_one_enable_features_section', 1 );
	$compact_one_enable_work_section = get_theme_mod( 'compact_one_enable_work_section', 1 );
	$compact_one_enable_team_section = get_theme_mod( 'compact_one_enable_team_section', 1 );
	$compact_one_enable_testimonial_section = get_theme_mod( 'compact_one_enable_testimonial_section', 1 );
	$compact_one_enable_contact_section = get_theme_mod( 'compact_one_enable_contact_section', 1 );

	// titles.
	$compact_one_slider_menu_title = get_theme_mod( 'compact_one_slider_menu_title', esc_html__( 'Home', 'compact-one' ) );
	$compact_one_about_menu_title = get_theme_mod( 'compact_one_about_menu_title', esc_html__( 'About Us', 'compact-one' ) );
	$compact_one_features_menu_title = get_theme_mod( 'compact_one_features_menu_title', esc_html__( 'Features', 'compact-one' ) );
	$compact_one_work_menu_title = get_theme_mod( 'compact_one_work_menu_title', esc_html__( 'Our Work', 'compact-one' ) );
	$compact_one_team_menu_title = get_theme_mod( 'compact_one_team_menu_title', esc_html__( 'Our Team', 'compact-one' ) );
	$compact_one_testimonial_menu_title = get_theme_mod( 'compact_one_testimonial_menu_title', esc_html__( 'Our Clients', 'compact-one' ) );
	$compact_one_contact_menu_title = get_theme_mod( 'compact_one_contact_menu_title', esc_html__( 'Contact', 'compact-one' ) );
?>
	<!-- Navigation -->
<header class="compact_one_header">	
	<nav class="navbar navbar-default nav-home">
		<div class="container">
			<div class="nav_inner">
				<div class="navbar-header page-scroll">
					<button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#navbar">
						<span class="sr-only"><?php echo esc_html( __( 'Toggle navigation','compact-one' ) ); ?></span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
					</button>
					<?php
					// display logo ( if logo not there, then display site title and description - also check for custom logo url ).
						cyberchimps_header_logo();
						?>
				</div>

				<!-- Collect the nav links, forms, and other content for toggling -->
				<div class="collapse navbar-collapse" id="navbar">
					<ul class="nav navbar-nav">
						<!-- Hidden li included to remove active class from about link when scrolled up past about section -->
						<li class="hidden">
							<a class="page-scroll" href="#page-top"></a>
						</li>
						<?php if ( $compact_one_enable_slider_section ) { ?>
							<li class="active">
								<a class="page-scroll" href="#compact_one_slider_section"><?php echo esc_html( $compact_one_slider_menu_title ); ?></a>
							</li>
						<?php } ?>
						<?php if ( $compact_one_enable_about_section ) { ?>
							<li>
								<a class="page-scroll" href="#compact_one_about_section"><?php echo esc_html( $compact_one_about_menu_title ); ?></a>
							</li>
						<?php } ?>
						<?php if ( $compact_one_enable_features_section ) { ?>
							<li>
								<a class="page-scroll" href="#compact_one_features_section"><?php echo esc_html( $compact_one_features_menu_title ); ?></a>
							</li>
						<?php } ?>
						<?php if ( $compact_one_enable_work_section ) { ?>
							<li>
								<a class="page-scroll" href="#compact_one_work_section"><?php echo esc_html( $compact_one_work_menu_title ); ?></a>
							</li>
						<?php } ?>
						<?php if ( $compact_one_enable_team_section ) { ?>
							<li>
								<a class="page-scroll" href="#compact_one_team_section"><?php echo esc_html( $compact_one_team_menu_title ); ?></a>
							</li>
						<?php } ?>
						<?php if ( $compact_one_enable_testimonial_section ) { ?>
							<li>
								<a class="page-scroll" href="#compact_one_testimonial_section"><?php echo esc_html( $compact_one_testimonial_menu_title ); ?></a>
							</li>
						<?php } ?>
						<?php if ( $compact_one_enable_contact_section ) { ?>
							<li>
								<a class="page-scroll" href="#compact_one_contact_section"><?php echo esc_html( $compact_one_contact_menu_title ); ?></a>
							</li>
						<?php } ?>
			
								</ul>
				</div> <!-- /.navbar-collapse -->
			</div><!-- end of nav-inner -->
			
		</div> <!-- /.container -->
	</nav>
</header>
