<?php
/**
 * Header Template
 *
 * Please do not edit this file. This file is part of the CyberChimps Framework and all modifications
 * should be made in a child theme.
 *
 * @category CyberChimps Framework
 * @package  Framework
 * @since    1.0
 * @author   CyberChimps
 * @license  http://www.opensource.org/licenses/gpl-license.php GPL v3.0 (or later)
 * @link     http://www.cyberchimps.com/
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>

<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="description" content="">
	<meta name="author" content="">
<?php wp_head(); ?>
</head>

<body id="page-top" <?php body_class(); ?>>

<!-- Navigation -->
<header class="compact_one_header">	
	<nav class="navbar navbar-default">
		<div class="container">
			<div class="nav_inner">
				<div class="navbar-header">
					<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
						<span class="sr-only"><?php echo esc_html( __( 'Toggle navigation','compact-one' ) ); ?></span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
					</button>
					<?php
					// display logo ( if logo not there, then display site title and description - also check for custom logo url ).
						cyberchimps_header_logo();
						?>
				</div>

				<!-- Collect the nav links, forms, and other content for toggling -->
				<div class="collapse navbar-collapse navbar-ex1-collapse"  id="navigation">
					<?php
					wp_nav_menu(
						array(
							'theme_location' => 'primary',
							'menu_class' => 'nav navbar-nav',
							'walker' => new cyberchimps_walker(),
							'fallback_cb' => 'cyberchimps_fallback_menu',
						)
					);
?>
				</div> <!-- /.navbar-collapse -->
			</div><!-- end of nav-inner -->
			
		</div> <!-- /.container -->
	</nav>
</header>
