<?php
/**
 * About us section
 *
 * @package compact-one
 */

/**
 * About us section display function
 */
function compact_one_enable_about_section_func() {
		$compact_one_about_title = get_theme_mod( 'compact_one_about_title', esc_html__( 'About Us', 'compact-one' ) );
		$compact_one_about_desc_page_id = get_theme_mod( 'compact_one_about_desc' );
		$compact_one_about_desc_page = get_post( $compact_one_about_desc_page_id );
		$compact_one_about_desc = $compact_one_about_desc_page->post_content;

		$compact_one_skills_title = get_theme_mod( 'compact_one_skills_title', esc_html__( 'Our Skills', 'compact-one' ) );
		$compact_one_skill_1_heading = get_theme_mod( 'compact_one_skill_heading_1', esc_html__( 'Skill Heading 1', 'compact-one' ) );
		$compact_one_skill_1_percentage = get_theme_mod( 'compact_one_skill_percentage_1', '90' );
		$compact_one_skill_2_heading = get_theme_mod( 'compact_one_skill_heading_2', esc_html__( 'Skill Heading 2', 'compact-one' ) );
		$compact_one_skill_2_percentage = get_theme_mod( 'compact_one_skill_percentage_2', '90' );
		$compact_one_skill_3_heading = get_theme_mod( 'compact_one_skill_heading_3', esc_html__( 'Skill Heading 3', 'compact-one' ) );
		$compact_one_skill_3_percentage = get_theme_mod( 'compact_one_skill_percentage_3', '90' );
		$compact_one_skill_4_heading = get_theme_mod( 'compact_one_skill_heading_4', esc_html__( 'Skill Heading 4', 'compact-one' ) );
		$compact_one_skill_4_percentage = get_theme_mod( 'compact_one_skill_percentage_4', '90' );

		$compact_one_co_values_title = get_theme_mod( 'compact_one_co_values_title', esc_html__( 'Why Choose Us', 'compact-one' ) );
		$compact_one_value_1_heading = get_theme_mod( 'compact_one_value_heading_1', esc_html__( 'Our Achievements', 'compact-one' ) );
		// desc 1.
		$compact_one_value_1_desc_post_id = get_theme_mod( 'compact_one_value_desc_1' );
		$compact_one_value_1_desc_post = get_post( $compact_one_value_1_desc_post_id );
		$compact_one_value_1_desc = $compact_one_value_1_desc_post->post_content;

		$compact_one_value_2_heading = get_theme_mod( 'compact_one_value_heading_2', esc_html__( 'Our Achievements', 'compact-one' ) );
		// desc 2.
		$compact_one_value_2_desc_post_id = get_theme_mod( 'compact_one_value_desc_2' );
		$compact_one_value_2_desc_post = get_post( $compact_one_value_2_desc_post_id );
		$compact_one_value_2_desc = $compact_one_value_2_desc_post->post_content;

		$compact_one_value_3_heading = get_theme_mod( 'compact_one_value_heading_3', esc_html__( 'Our Achievements', 'compact-one' ) );
		// desc 3.
		$compact_one_value_3_desc_post_id = get_theme_mod( 'compact_one_value_desc_3' );
		$compact_one_value_3_desc_post = get_post( $compact_one_value_3_desc_post_id );
		$compact_one_value_3_desc = $compact_one_value_3_desc_post->post_content;

?>
	<section id="compact_one_about_section" class="home_page_section">
		<div class="container">
			<?php if ( ! empty( $compact_one_about_title ) ) { ?>
				<h2 class="section_title wow fadeInDown"> 
					<span class="section_title_span"><?php echo esc_html( $compact_one_about_title ); ?>  </span>
				</h2>
				<hr class="section_title_hr" />
			<?php } ?>
			<?php if ( ! empty( $compact_one_about_desc_page_id ) ) { ?>
				<p class="compact_one_about_desc"><?php echo esc_html( $compact_one_about_desc ); ?> </p>
			<?php } ?>
			<div class="row">
				<div class="col-md-6">
					<h3 class="tw_subsection_titles"><?php echo esc_html( $compact_one_skills_title ); ?></h3>
					<?php if ( ! empty( $compact_one_skill_1_percentage ) ) { ?>
						<div class="progress skill-bar">
							<div class="progress-bar wow fadeInLeft" role="progressbar" aria-valuenow="<?php echo esc_attr( $compact_one_skill_1_percentage ); ?>" aria-valuemin="0" aria-valuemax="100">
								<span class="val"><?php echo esc_html( $compact_one_skill_1_percentage ); ?>%</span>
							</div>
						</div>
						<span class="progress-title"><?php echo esc_html( $compact_one_skill_1_heading ); ?></span>
					<?php } ?>
					<?php if ( ! empty( $compact_one_skill_2_percentage ) ) { ?>
						<div class="progress skill-bar">
							<div class="progress-bar wow fadeInLeft" role="progressbar" aria-valuenow="<?php echo esc_attr( $compact_one_skill_2_percentage ); ?>" aria-valuemin="0" aria-valuemax="100">
								<span class="val"><?php echo esc_html( $compact_one_skill_2_percentage ); ?>%</span>
							</div>
						</div>
						<span class="progress-title"><?php echo esc_html( $compact_one_skill_2_heading ); ?></span>
					<?php } ?>
					<?php if ( ! empty( $compact_one_skill_3_percentage ) ) { ?>
						<div class="progress skill-bar">
							<div class="progress-bar wow fadeInLeft" role="progressbar" aria-valuenow="<?php echo esc_attr( $compact_one_skill_3_percentage ); ?>" aria-valuemin="0" aria-valuemax="100">
								<span class="val"><?php echo esc_html( $compact_one_skill_3_percentage ); ?>%</span>
							</div>
						</div>
						<span class="progress-title"><?php echo esc_html( $compact_one_skill_3_heading ); ?></span>
					<?php } ?>
					<?php if ( ! empty( $compact_one_skill_4_percentage ) ) { ?>
						<div class="progress skill-bar">
							<div class="progress-bar wow fadeInLeft" role="progressbar" aria-valuenow="<?php echo esc_attr( $compact_one_skill_4_percentage ); ?>" aria-valuemin="0" aria-valuemax="100">
								<span class="val"><?php echo esc_html( $compact_one_skill_4_percentage ); ?>%</span>
							</div>
						</div>
						<span class="progress-title"><?php echo esc_html( $compact_one_skill_4_heading ); ?></span>
					<?php } ?>
				</div>
				<div class="col-md-6">
					<h3 class="tw_subsection_titles"><?php echo esc_html( $compact_one_co_values_title ); ?></h3>
					<div class="tabContent" id="tabContent1">
						<div class="panel-group" id="accordion">
							<?php if ( ! empty( $compact_one_value_1_heading ) ) { ?>
								<div class="panel panel-default">
									<div class="panel-heading active">
										<h4 class="panel-title">
											<a data-toggle="collapse" data-parent="#accordion" href="#collapseOne"><i class="more-less glyphicon glyphicon-minus"></i><?php echo esc_html( $compact_one_value_1_heading ); ?> </a>
										</h4>
									</div>
									<div id="collapseOne" class="panel-collapse collapse in">
										<div class="panel-body">
											<p><?php echo esc_html( $compact_one_value_1_desc ); ?></p>
										</div>
									</div>
								</div>
							<?php } ?>
							<?php if ( ! empty( $compact_one_value_2_heading ) ) { ?>
								<div class="panel panel-default">
									<div class="panel-heading">
										<h4 class="panel-title">
											<a data-toggle="collapse" data-parent="#accordion" href="#collapseTwo"><i class="more-less glyphicon glyphicon-plus"></i><?php echo esc_html( $compact_one_value_2_heading ); ?></a>
										</h4>
									</div>
									<div id="collapseTwo" class="panel-collapse collapse">
										<div class="panel-body">
											<p><?php echo esc_html( $compact_one_value_2_desc ); ?></p>
										</div>
									</div>
								</div>
							<?php } ?>
							<?php if ( ! empty( $compact_one_value_3_heading ) ) { ?>
								<div class="panel panel-default">
									<div class="panel-heading">
										<h4 class="panel-title">
											<a data-toggle="collapse" data-parent="#accordion" href="#collapseThree"><i class="more-less glyphicon glyphicon-plus"></i><?php echo esc_html( $compact_one_value_3_heading ); ?></a>
										</h4>
									</div>
									<div id="collapseThree" class="panel-collapse collapse">
										<div class="panel-body">
											<p><?php echo esc_html( $compact_one_value_3_desc ); ?></p>
										</div>
									</div>
								</div>
							<?php } ?>
						</div><!-- end of .panel-group -->
					</div><!-- end of .tabContent -->
				</div>
			</div>
		</div>
	</section>
<?php
}
add_action( 'compact_one_enable_about_section', 'compact_one_enable_about_section_func' );
