<?php
/**
 * Contact section
 *
 * @package compact-one
 */

/**
 * Contact section display function
 */
function compact_one_enable_contact_section_func() {
	$compact_one_contact_title = get_theme_mod( 'compact_one_contact_menu_title', esc_html__( 'Contact', 'compact-one' ) );
	// left.
	$compact_one_contact_left_title = get_theme_mod( 'compact_one_contact_left_title', esc_html__( 'Get in touch', 'compact-one' ) );
	$compact_one_contact_details = get_theme_mod( 'compact_one_contact_details', esc_html__( 'Contact Form can be displayed here', 'compact-one' ) );
	// right.
	$compact_one_contact_right_title = get_theme_mod( 'compact_one_contact_right_title', esc_html__( 'Contact Info', 'compact-one' ) );
	$compact_one_contact_right_text = get_theme_mod( 'compact_one_contact_right_text', esc_html__( 'Contact Right section text', 'compact-one' ) );
	$compact_one_contact_right_no = get_theme_mod( 'compact_one_contact_right_no', '(401) 244558845' );
	$compact_one_contact_right_email = get_theme_mod( 'compact_one_contact_right_email', esc_html__( 'support@compact_one.com', 'compact-one' ) );
	// bottom.
	$compact_one_contact_maps = get_theme_mod( 'compact_one_contact_maps' );
?>
	<section id="compact_one_contact_section" class="home_page_section">
		<div class="container">
			<?php if ( ! empty( $compact_one_contact_title ) ) { ?>
				<h2 class="section_title wow fadeInDown"> 
					<span class="section_title_span"><?php echo esc_html( $compact_one_contact_title ); ?>  </span>
				</h2>
				<hr class="section_title_hr" />
			<?php } ?>
			<div class="row">
				<div class="col-md-8">
					<h3 class="contact_sub_title compact_one_contact_form""><?php echo esc_html( $compact_one_contact_left_title ); ?></h3>
					<div >
						<?php echo do_shortcode( wp_kses_post( $compact_one_contact_details ) ); ?>
					</div>
				</div>
				<div class="col-md-4">
					<h3 class="contact_sub_title"><?php echo esc_html( $compact_one_contact_right_title ); ?></h3>
					<p class="compact_one_contact_right_text"><?php echo esc_html( $compact_one_contact_right_text ); ?></p>
					<?php if ( ! empty( $compact_one_contact_right_no ) ) { ?>
						<p class="compact_one_contact_right_no"><?php echo esc_html( $compact_one_contact_right_no ); ?></p>
					<?php } ?>
					<?php if ( ! empty( $compact_one_contact_right_email ) ) { ?>
						<p class="compact_one_contact_right_email"><?php echo esc_html( $compact_one_contact_right_email ); ?></p>
					<?php } ?>
				</div>
			</div>
		</div> <!-- end of container -->
		<div class="contact_maps">
			<?php echo wp_kses_post( $compact_one_contact_maps ); ?>
		</div>
	</section>
<?php
}
add_action( 'compact_one_enable_contact_section', 'compact_one_enable_contact_section_func' );
