<?php
/**
 * Features section
 *
 * @package compact-one
 */

/**
 * Features section display function
 */
function compact_one_enable_features_section_func() {
	$compact_one_features_title = get_theme_mod( 'compact_one_features_title', esc_html__( 'Features', 'compact-one' ) );
	$compact_one_features_image = get_theme_mod( 'compact_one_features_image' );

	$compact_one_features_category = get_theme_mod( 'compact_one_features_category' );
	if ( ! empty( $compact_one_features_category ) ) {
		$cat_obj  = get_term( $compact_one_features_category, 'category' );
		$cat_type = $cat_obj->name;
		$args = array(
			'offset'           => 0,
			'category_name' => $cat_type,
			'orderby'          => 'post_date',
			'order'            => 'ASC',
			'post_type'        => 'post',
			'post_status'      => 'publish',
			'suppress_filters' => false,
			'posts_per_page'    => 30,
		);
		$boxes_posts = new WP_Query( $args );
	}

	$box_counter    = 1;
?>
	<section id="compact_one_features_section" class="home_page_section">
		<div class="compact_one_features_section_background">
			<div class="container">
				<?php if ( ! empty( $compact_one_features_title ) ) { ?>
					<h2 class="section_title wow fadeInDown"> 
						<span class="section_title_span"><?php echo esc_html( $compact_one_features_title ); ?>  </span>
					</h2>
					<hr class="section_title_hr" />
				<?php } ?>
				<div class="row feature_main_row">
					<div class="feature_main_img wow fadeInRight">
						<?php if ( ! empty( $compact_one_features_image ) ) { ?>
							<img src="<?php echo esc_url( $compact_one_features_image ); ?>" class="features_img" alt="<?php echo esc_attr( __( 'Features section image', 'compact-one' ) ); ?>">
						<?php } ?>
					</div>
					<div class="col-xs-12 col-sm-8 col-md-8">
						<div class="boxes row">
							<?php
							if ( ! empty( $compact_one_features_category ) ) {
								$cn = 0;
								if ( $boxes_posts->have_posts() ) {
									while ( $boxes_posts->have_posts() ) :
										$boxes_posts->the_post();
										$cn++;

										// Break after desired number of boxes displayed.
										if ( $box_counter > 2 ) {
											echo '</div><div class="boxes row">';
											$box_counter = 1;
										}
										$post_id = get_the_ID();
										$tw_boxes_img = wp_get_attachment_url( get_post_thumbnail_id( $post_id ) );
										$tw_boxes_title = get_the_title( $post_id );
										$tw_boxes_desc = get_the_content();
										$tw_boxes_desc_short = wp_trim_words( $tw_boxes_desc, 10 );

										?>
										<div class="feature_each col-xs-12 col-sm-12 col-md-6">
											<div class="row wow fadeInLeft">
												<div class="col-xs-3 col-sm-3 col-md-3">
													<?php if ( ! empty( $tw_boxes_img ) ) { ?>
															<div class="feature_each_img">
																<img src="<?php echo esc_url( $tw_boxes_img ); ?>" alt="<?php echo esc_attr( $tw_boxes_title ); ?>">
															</div>
														<?php } ?>
												</div>
												<div class="col-xs-9 col-sm-9 col-md-9">
													<h3 class="feature_each_title"><?php echo esc_html( $tw_boxes_title ); ?> </h3>
													<p class="feature_each_desc"><?php echo esc_html( $tw_boxes_desc_short ); ?> </p>
												</div>  
											</div>
											</div>
										<?php
										  $box_counter++;
									endwhile;
									wp_reset_postdata();
								} // end of if
							}

							?>
						</div>	<!-- end .boxes .row-->
					</div>
				
				</div>
			</div><!-- end of container -->
		</div>
	</section>
<?php
}
add_action( 'compact_one_enable_features_section', 'compact_one_enable_features_section_func' );
