<?php
/**
 * Template for content - posts
 *
 * @package compact-one
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php the_title( sprintf( '<h1 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h1>' ); ?>

		<?php if ( 'post' === get_post_type() ) : ?>
		<div class="entry-meta">
			<?php cyberchimps_posted_on(); ?>
			<?php cyberchimps_posted_by(); ?>
		</div><!-- .entry-meta -->
		<?php endif; ?>
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php cyberchimps_featured_image(); ?>
		<?php
			/* translators: %s: Name of current post */
			the_content( sprintf( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'compact-one' ),
				the_title( '<span class="screen-reader-text">"', '"</span>', false )
			) );
		?>

		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . __( 'Pages:', 'compact-one' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php cyberchimps_posted_in(); ?>
		<?php cyberchimps_post_tags(); ?>
		<?php cyberchimps_post_comments(); ?>
		<?php edit_post_link( __( 'Edit', 'compact-one' ), '<span class="edit-link">', '</span>' ); ?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->
